<?php

/**
 * Active Callbacks
 *
 * @package florist_bouquet
 */

// Theme Options.
function florist_bouquet_is_pagination_enabled( $florist_bouquet_control ) {
	return ( $florist_bouquet_control->manager->get_setting( 'florist_bouquet_enable_pagination' )->value() );
}
function florist_bouquet_is_breadcrumb_enabled( $florist_bouquet_control ) {
	return ( $florist_bouquet_control->manager->get_setting( 'florist_bouquet_enable_breadcrumb' )->value() );
}
function florist_bouquet_is_layout_enabled( $florist_bouquet_control ) {
	return ( $florist_bouquet_control->manager->get_setting( 'florist_bouquet_website_layout' )->value() );
}
function florist_bouquet_is_pagetitle_bcakground_image_enabled( $florist_bouquet_control ) {
	return ( $florist_bouquet_control->manager->get_setting( 'florist_bouquet_page_header_style' )->value() );
}
function florist_bouquet_is_preloader_style( $florist_bouquet_control ) {
	return ( $florist_bouquet_control->manager->get_setting( 'florist_bouquet_enable_preloader' )->value() );
}

// Header Options.
function florist_bouquet_is_topbar_enabled( $florist_bouquet_control ) {
	return ( $florist_bouquet_control->manager->get_Setting( 'florist_bouquet_enable_topbar' )->value() );
}

// Banner Slider Section.
function florist_bouquet_is_banner_slider_section_enabled( $florist_bouquet_control ) {
	return ( $florist_bouquet_control->manager->get_setting( 'florist_bouquet_enable_banner_section' )->value() );
}
function florist_bouquet_is_banner_slider_section_and_content_type_post_enabled( $florist_bouquet_control ) {
	$content_type = $florist_bouquet_control->manager->get_setting( 'florist_bouquet_banner_slider_content_type' )->value();
	return ( florist_bouquet_is_banner_slider_section_enabled( $florist_bouquet_control ) && ( 'post' === $content_type ) );
}
function florist_bouquet_is_banner_slider_section_and_content_type_page_enabled( $florist_bouquet_control ) {
	$content_type = $florist_bouquet_control->manager->get_setting( 'florist_bouquet_banner_slider_content_type' )->value();
	return ( florist_bouquet_is_banner_slider_section_enabled( $florist_bouquet_control ) && ( 'page' === $content_type ) );
}

//About section.
function florist_bouquet_is_about_section_enabled( $florist_bouquet_control ) {
	return ( $florist_bouquet_control->manager->get_setting( 'florist_bouquet_enable_about_section' )->value() );
}
function florist_bouquet_is_about_section_and_content_type_post_enabled( $florist_bouquet_control ) {
	$content_type = $florist_bouquet_control->manager->get_setting( 'florist_bouquet_about_content_type' )->value();
	return ( florist_bouquet_is_about_section_enabled( $florist_bouquet_control ) && ( 'post' === $content_type ) );
}
function florist_bouquet_is_about_section_and_content_type_page_enabled( $florist_bouquet_control ) {
	$content_type = $florist_bouquet_control->manager->get_setting( 'florist_bouquet_about_content_type' )->value();
	return ( florist_bouquet_is_about_section_enabled( $florist_bouquet_control ) && ( 'page' === $content_type ) );
}